Subject: Re: [bug, netconsole, SLUB] BUG skbuff_head_cache: Poison overwritten

From: Christoph Lameter <[email-masked]>
Date: Mon, 21 Jul 2008 11:22:27 -0500

Evgeniy Polyakov wrote:
> Not that obvious...
> skb->next is cleared in lots of places, in xmit network helper
> for example, but since rest of the packet was not modified, it
> means given skb was not freed, so it will not help.
>
>   

The skb was definitely freed. 6b is written over an object when it is 
freed. Something else retained a pointer to the skb and was confident 
that the skb still exists.